<ng-container *appVar="(hasErrors$ | async) as hasErrors">
  <ng-container *appVar="(isLoading$ | async) as isLoading">
    <ng-container *appVar="(account$ | async) as account">
      <app-page title="Пополнение"
                [showBackButton]="true"
                (backButtonClicked)="handleBackButtonClick()"
      >
        <app-account-balance-info *ngIf="account"
                                  [account]="account">
        </app-account-balance-info>

        <mat-error *ngIf="hasErrors"
                   class=" m-t-24"
        >
          Не удалось пополнить баланс
        </mat-error>

        <form [formGroup]="form"
              (ngSubmit)="handleFormSubmit()"
              class="form m-t-24">
          <mat-form-field>
            <mat-label>Сумма</mat-label>

            <input matInput
                   [formControl]="form.controls.amount"
                   type="text"
                   placeholder="Введите сумму для пополнения">

            <mat-error *ngIf="form.controls.amount.hasError('required') && form.controls.amount.touched">
              Значение не указано
            </mat-error>

            <mat-error *ngIf="form.controls.amount.hasError('min') && form.controls.amount.touched">
              Невозможно пополнить счёт на эту сумму
            </mat-error>
          </mat-form-field>

          <p class="m-t-24">
            Ваш основной счёт (рубли) будет пополнен на указанную сумму.
          </p>

          <button type="submit"
                           mat-flat-button
                           [disabled]="isLoading"
                           color="primary"
                           class="fancy-button"
        >
            <span class="sub-title">
              Пополнить
            </span>
        </button>
        </form>
      </app-page>
    </ng-container>
  </ng-container>
</ng-container>
